--[[

ARL-Cook.lua

Cooking data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitCooking()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkillSpell(2538, 1, L["Trainer"])
	ARL:addTradeSkillSpell(8604, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2540, 1, L["Trainer"])
	ARL:addTradeSkillSpell(37836, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2539, 10, L["Trainer"])
	ARL:addTradeSkillSpell(6499, 50, L["Trainer"])
	ARL:addTradeSkillSpell(2541, 50, L["Trainer"])
	ARL:addTradeSkillSpell(2544, 75, L["Trainer"])
	ARL:addTradeSkillSpell(2546, 80, L["Trainer"])
	ARL:addTradeSkillSpell(6500, 125, L["Trainer"])
	ARL:addTradeSkillSpell(21175, 200, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkillSpell(7751, 1, ARL:ARL_AddVendor({213, 214, 215, 216, 217, 218, 219, 220, 4}, false))
	ARL:addTradeSkillSpell(15935, 1, ARL:ARL_AddVendor({221}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(33276, 1, ARL:ARL_AddVendor({222}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(7752, 1, ARL:ARL_AddVendor({223, 218, 224, 225, 226}, false))
	ARL:addTradeSkillSpell(6413, 20, ARL:ARL_AddVendor({227}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(6414, 35, ARL:ARL_AddVendor({228}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(8607, 40, ARL:ARL_AddVendor({6, 229}, false))
	ARL:addTradeSkillSpell(6415, 50, ARL:ARL_AddVendor({230}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(7753, 50, ARL:ARL_AddVendor({215, 216, 231, 217, 232, 219, 225, 4}, false))
	ARL:addTradeSkillSpell(7754, 50, ARL:ARL_AddVendor({216}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(7827, 50, ARL:ARL_AddVendor({213, 233, 231, 234, 223, 224, 235, 236, 237, 226}, false))
	ARL:addTradeSkillSpell(33278, 50, ARL:ARL_AddVendor({238}, false), {BFAC["Horde"]})
	ARL:addTradeSkillSpell(25704, 80, ARL:ARL_AddVendor({239, 240, 241, 242, 243, 244, 245, 246, 238, 29, 232, 219, 247, 248, 249, 235, 250, 251, 252}, false))
	ARL:addTradeSkillSpell(2545, 85, ARL:ARL_AddVendor({253}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6501, 90, ARL:ARL_AddVendor({233, 223}, false), {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6418, 100, ARL:ARL_AddVendor({254}, false), {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Bristle Whisker Catfish"], 100, L["Vendor"])
	ARL:addTradeSkill(BTS["Lean Venison"], 110, L["Vendor"])
	ARL:addTradeSkill(BTS["Succulent Pork Ribs"], 110, L["Vendor"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Lean Wolf Steak"], 125, L["Vendor"])
	ARL:addTradeSkill(BTS["Heavy Crocolisk Stew"], 150, L["Vendor"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Giant Clam Scorcho"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Rockscale Cod"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Roast Raptor"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Hot Wolf Ribs"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Jungle Stew"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Carrion Surprise"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Mystery Stew"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Mithril Headed Trout"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Sagefish Delight"], 175, L["Vendor"])
	ARL:addTradeSkill(BTS["Dragonbreath Chili"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Heavy Kodo Stew"], 200, L["Vendor"])
	ARL:addTradeSkill(BTS["Spiced Chili Crab"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Monster Omelet"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Cooked Glossy Mightfish"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Spotted Yellowtail"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Filet of Redgill"], 225, L["Vendor"])
	ARL:addTradeSkillSpell(20626, 225, ARL:ARL_AddVendor({213}, false))
	ARL:addTradeSkill(BTS["Tender Wolf Steak"], 225, L["Vendor"])
	ARL:addTradeSkill(BTS["Grilled Squid"], 240, L["Vendor"])
	ARL:addTradeSkill(BTS["Hot Smoked Bass"], 240, L["Vendor"])
	ARL:addTradeSkill(BTS["Nightfin Soup"], 250, L["Vendor"])
	ARL:addTradeSkill(BTS["Poached Sunscale Salmon"], 250, L["Vendor"])
	ARL:addTradeSkillSpell(46684, 250, ARL:ARL_AddVendor({169, 170}, false))
	ARL:addTradeSkillSpell(46688, 250, ARL:ARL_AddVendor({169, 170}, false))
	ARL:addTradeSkill(BTS["Lobster Stew"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Mightfish Steak"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Baked Salmon"], 275, L["Vendor"])
	ARL:addTradeSkill(BTS["Ravager Dog"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Blackened Trout"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Feltail Delight"], 300, L["Vendor"])
	ARL:addTradeSkill(BTS["Blackened Sporefish"], 310, L["Vendor"])
	ARL:addTradeSkill(BTS["Blackened Basilisk"], 310, L["Vendor"])
	ARL:addTradeSkill(BTS["Grilled Mudfish"], 320, L["Vendor"])
	ARL:addTradeSkill(BTS["Poached Bluefish"], 320, L["Vendor"])
	ARL:addTradeSkill(BTS["Roasted Clefthoof"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Warp Burger"], 325, L["Vendor"])
	ARL:addTradeSkill(BTS["Talbuk Steak"], 325, L["Vendor"])
	ARL:addTradeSkillSpell(33295, 325, ARL:ARL_AddVendor({198, 200}, false))
	ARL:addTradeSkillSpell(33296, 350, ARL:ARL_AddVendor({198, 200}, false))

	-- World Drops

	-- Specific Drops
	ARL:addTradeSkillSpell(33277, 1, L["Roasted Moongraze Tenderloin Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6412, 10, L["Kaldorei Spider Kabob Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(2795, 25, L["Beer Basted Boar Ribs Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkillSpell(6416, 50, L["Strider Stew Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Goretusk Liver Pie"], 50, L["Goretusk Liver Pie Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Blood Sausage"], 60, L["Blood Sausage Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Thistle Tea"], 60, L["Thistle Tea Obt"], {"ROGUE"})
	ARL:addTradeSkill(BTS["Crunchy Spider Surprise"], 60, L["Crunchy Spider Surprise Obt"])
	ARL:addTradeSkill(BTS["Westfall Stew"], 75, L["Westfall Stew Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Crocolisk Steak"], 80, L["Crocolisk Steak Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Savory Deviate Delight"], 85, L["Savory Deviate Delight Obt"])
	ARL:addTradeSkill(BTS["Murloc Fin Soup"], 90, L["Murloc Fin Soup Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Dig Rat Stew"], 90, L["Dig Rat Stew Obt"], {BFAC["Horde"]})
	ARL:addTradeSkillSpell(45695, 100, L["Fishing Daily"])
	ARL:addTradeSkill(BTS["Redridge Goulash"], 100, L["Redridge Goulash Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Seasoned Wolf Kabob"], 100, L["Seasoned Wolf Kabob Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Gooey Spider Cake"], 110, L["Gooey Spider Cake Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Big Bear Steak"], 110, L["Big Bear Steak Obt"])
	ARL:addTradeSkill(BTS["Crocolisk Gumbo"], 120, L["Crocolisk Gumbo Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Hot Lion Chops"], 125, L["Hot Lion Chops Obt"])
	ARL:addTradeSkill(BTS["Curiously Tasty Omelet"], 130, L["Curiously Tasty Omelet Obt"])
	ARL:addTradeSkill(BTS["Tasty Lion Steak"], 150, L["Tasty Lion Steak Obt"], {BFAC["Alliance"]})
	ARL:addTradeSkill(BTS["Soothing Turtle Bisque"], 175, L["Soothing Turtle Bisque Obt"])
	ARL:addTradeSkill(BTS["Barbecued Buzzard Wing"], 175, L["Barbecued Buzzard Wing Obt"])
	ARL:addTradeSkill(BTS["Goldthorn Tea"], 175, L["Goldthorn Tea Obt"])
	ARL:addTradeSkill(BTS["Runn Tum Tuber Surprise"], 275, L["Runn Tum Tuber Surprise Obt"])
	ARL:addTradeSkill(BTS["Smoked Desert Dumplings"], 285, L["Smoked Desert Dumplings Obt"])
	ARL:addTradeSkill(BTS["Dirge's Kickin' Chimaerok Chops"], 300, L["Dirge's Kickin' Chimaerok Chops Obt"], {L["Raid"]})
	ARL:addTradeSkill(BTS["Delicious Chocolate Cake"], 325, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Buzzard Bites"], 300, L["Buzzard Bites Obt"])
	ARL:addTradeSkill(BTS["Kibler's Bits"], 300, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Broiled Bloodfin"], 300, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Stormchops"], 300, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Stewed Trout"], 310, L["Stewed Trout Obt"])
	ARL:addTradeSkill(BTS["Spicy Hot Talbuk"], 325, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Skullfish Soup"], 325, L["Cooking Daily"])
	ARL:addTradeSkill(BTS["Crunchy Serpent"], 335, L["Crunchy Serpent Obt"])
	ARL:addTradeSkill(BTS["Mok'Nathal Shortribs"], 335, L["Mok'Nathal Shortribs Obt"])
	ARL:addTradeSkill(BTS["Fisherman's Feast"], 350, L["Fisherman's Feast Obt"])
	ARL:addTradeSkill(BTS["Hot Buttered Trout"], 350, L["Hot Buttered Trout Obt"])

	-- Seasonal
	ARL:addTradeSkill(BTS["Gingerbread Cookie"], 1, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Egg Nog"], 35, L["WintersVeil"], {L["Seasonal"]})
	ARL:addTradeSkill(BTS["Hot Apple Cider"], 325, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill(BTS["Clam Bar"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})
	ARL:addTradeSkill(BTS["Sporeling Snack"], 310, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})

	-- Raid Drops

end
